【犯二】PHP-cli突然版本变成了5.4

作者: empty 分类: 杂谈 发布时间: 2017-10-18 15:36

前两天在生产环境做了一系列操作之后,老板跟我说某功能等了很久都没反应。

这个功能因为涉及到大图片处理,所以我放到了队列里(laravel框架),然后用supervisor监控处理队列的PHP artisan。

然后赶紧去服务器上看了一眼supervisor的日志文件,发现PHP报错了,说不支持。

然后shutdown掉supervisor,直接用php-cli执行artisan queue:work,发现和日志文件中的报错一致,再仔细一看,PHP-cli的版本是5.4,什么鬼!

最后排查是我之前做的一系列操作中,安装了php-devel, yum 安装 php-devel 的时候默认会安装php 5.4版本的php-cli,然后把之前的php-cli替换掉了….[悲允]

本站文章欢迎转载,转载请注明作者Empty和原文链接,谢谢^_^

发表评论

电子邮件地址不会被公开。 必填项已用*标注